Package org.opensaml.security.x509

# Interface PKIXTrustEngine<TokenType>

Type Parameters:
  `TokenType` - the token type this trust engine evaluates

All Superinterfaces:
  `TrustEngine<TokenType>`

All Known Implementing Classes:
  `PKIXSignatureTrustEngine`, `PKIXX509CredentialTrustEngine`

public interface PKIXTrustEngine<TokenType> extends TrustEngine<TokenType>
Trust engine that validates tokens using PKIX validation.

## Method Summary

Modifier and Type
Method
Description
`PKIXValidationInformationResolver`
`getPKIXResolver()`
Get the resolver instance which will be used to resolve PKIX validation information.

### Methods inherited from interface org.opensaml.security.trust.TrustEngine

`validate`

## Method Details

### getPKIXResolver

@Nonnull PKIXValidationInformationResolver getPKIXResolver()
Get the resolver instance which will be used to resolve PKIX validation information.

Returns:
  the currently configured resolver instance